<?PHP
/**
 * Constains lists for categorizing event types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides a list for finding the respective event type ID for a given event type name.
 */
final class MDConcEventTypes {

    const EVENT_TYPE_NAMES_TO_ID = [

        // 1: Created
        'Hergestellt' => 1,
        'Herstellung' => 1,
        'Bearbeitung' => 1,
        'Erschaffung/Herstellung' => 1,
        'creation'                => 1,
        'Beginning of existence'  => 1,

        // 2: Was found
        'Fund (Aktivität)' => 2,

        // 3: Published
        // 4: Template creation
        // 5: Displayed actor
        // 6: Was used
        'Ausstellung' => 6,
        'Verwendungsort' => 6,
        'Wurde genutzt' => 6,

        // 7: Written

        // 8: Collected
        'Collected' => 8,
        'Gesammelt' => 8,
        'Sammeln' => 8,
        'Collecting' => 8,
        'Sammeltätigkeit' => 8,

        // 9: => Painted

        // 10: Recorded
        'Fotografische Aufnahme' => 10,

        // 20: Copied
        // 21: Lived

        // 22: Related place
        'Geografischer Bezug' => 22,
        'Geografika' => 22,
        'Karteninhalt' => 22,

        // 25: Commissioned
        'Auftrag' => 25,
        'Commissioning' => 25,
        'Beauftragung' => 25,

        // 35: Intellectual creation
        'Design' => 35,
        'design' => 35,
        'Designing' => 35,
        'Entwerfen' => 35,

        // 41: Was Bought
        'Erwerb' => 41,
        'Acquisition (Activity)' => 41,

    ];

}
