<?PHP
/**
 * Constains lists for grouping licenses.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides lists for categorizing spelled out licenses.
 */
final class MDConcLicenses {

    const LICENSES_LIST = [
        "CC 0" => "CC0",
        "CC_0" => "CC0",
        "https://creativecommons.org/publicdomain/zero/1.0/deed.de" => "CC0",

        "CC_BY" => "CC BY",
        "CC-BY" => "CC BY",
        "CC.BY" => "CC BY",

        "CC BY SA"  => "CC BY-SA",
        "CC BY-SA-" => "CC BY-SA",
        "CC BY_SA"  => "CC BY-SA",
        "CC_BY_SA"  => "CC BY-SA",
        "CC-BY-SA"  => "CC BY-SA",
        "CC.BY-SA"  => "CC BY-SA",
        "CC BY-SA 4.0"  => "CC BY-SA",
        "Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International (CC BY-SA 4.0)"  => "CC BY-SA",

        "CC BY_NC"  => "CC BY-NC",
        "CC_BY_NC"  => "CC BY-NC",
        "CC-BY-NC"  => "CC BY-NC",
        "CC.BY-NC"  => "CC BY-NC",

        "CC BY_NC_SA" => "CC BY-NC-SA",
        "CC_BY_NC_SA" => "CC BY-NC-SA",
        "CC-BY-NC-SA" => "CC BY-NC-SA",
        "CC.BY-NC-SA" => "CC BY-NC-SA",
        "CC BY-NC-SA 3.0 AT" => "CC BY-NC-SA",
        "Namensnennung - Nicht kommerziell - Weitergabe unter gleichen Bedingungen 4.0 International (CC BY-NC-SA 4.0)" => "CC BY-NC-SA",

        "CC BY_NC_ND" => "CC BY-NC-ND",
        "CC_BY_NC_ND" => "CC BY-NC-ND",
        "CC-BY-NC-ND" => "CC BY-NC-ND",
        "CC.BY-NC-ND" => "CC BY-NC-ND",
        "https://creativecommons.org/licenses/by-nc-nd/4.0/" => "CC BY-NC-ND",

        "https://www.deutsche-digitale-bibliothek.de/content/lizenzen/rv-fz" => "RR-F",
        "https://www.europeana.eu/rights/rr-f/" => "RR-F",
        "Rechte vorbehalten - Freier Zugang" => "RR-F",
        "Alle Rechte vorbehalten" => "RR-F",
        "Alle Rechte vorbehalten - Urhebererechtlich geschütztes Werk" => "RR-F",
        "IN COPYRIGHT" => "RR-P",
        "Rechtsstatus unbekannt" => "RR-P",
        "none" => "RR-F",

        'PDM 1.0' => 'Public Domain Mark',
    ];

}
